select
	f.updt_dt as OrderDate,
	f.strt_dt as OrderStrt,
	f.end_dt as OrderEnd,
	d.name as OrderSource,
	e.name as OrderType,
	f.waterOrder as AcreFeet,
	f.shareAllocation as OrderAlloc,
	f.watersourcetypeID as STID,
	f.waterorderID as OrderID,
	f.waterleaseID as LeaseID
from 
	users a,
	WaterSourceType c,
	WaterSource d,
	WaterType e,
	WaterOrder f
where f.userID = a.userID
AND ( ( f.watersourcetypeID = -1
	and f.waterleaseID in ( select g.waterleaseID
				from WaterLease g,
					WaterTypeUser h
				where g.userID = a.userID
					and g.bValid = TRUE
					and h.watertypeuserID = g.watertypeuserID
					and c.watersourcetypeID = h.watersourcetypeID )
	)
	OR ( f.waterleaseID = -1
		and f.watersourcetypeID in ( select m.watersourcetypeID
						from WaterTypeUser m,
							WaterSourceType n
						where m.userID = a.userID
							and n.watersourcetypeID = m.watersourcetypeID
							and c.watersourcetypeID = n.watersourcetypeID )
	) )
AND d.watersourceID = c.watersourceID
AND e.waterTypeID = c.watertypeID;



